.vispa-mainview.core-workspaceview {
    .vispa-view-content {
        h2 + div > div {
            margin-bottom: 0.5em;
            max-width: 40em;
            > :first-child.input-group-addon {
                min-width: 12em;
                text-align: right;
            }
            &.colorpicker-component > .colorpicker {
                position: absolute;
                right: .5em;
                left: initial;
            }
        }
    }
}

.vispa-mainview {
    &.core-workspaceview, &.core-preferenceview {
        .vispa-view-content > .spacer {
            height: 10em;
        }
    }
}

.vispa-mainview.core-preferenceview {
    .vispa-view-nav {
        .nav .nav {
            display: none;
        }
        > .nav {
            margin-top: 0.5em;
        }
        > .btn-group > .btn {
            width: 33.3%
        }
    }
    .form-inline {
        .vispa-slider > div > span {
            display: inline-block;
            min-width: 3em;
            &:first-child {
                text-align: right;
            }
        }
        .btn-group > label.btn {
            min-width: 4em;
        }
    }
    .form-control:invalid {
        border-color: #a94442;
        box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
        &:focus {
            border-color: #843534;
            box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px #ce8483;
        }
    }
}

.vispa-mainview.core-usermanagementview {
    .vispa-view-nav {
        .vispa-comp-item {
            cursor: pointer;
        }
        .nav {
            margin-top: 0.5em;
        }
        .vispa-comp-item > .nav {
            display: none;
        }
    }
    .vispa-view-content {
        .input-group {
            margin-bottom: 0.25em;
        }
        .vispa-fix-form > button.form-control {
            border-radius: 0px 4px 4px 0px;
        }
        .item-list .dropdown-menu {
            right: 0;
            left: auto;
        }
        .item-list .list-group-item.can-browse {
            cursor: pointer;
        }
        .label + .label {
            margin-left: 0.3em;
        }
        .item-display > h1 .action {
            cursor: pointer;
            font-size: 0.6em;
        }
        .group-join input.form-control {
            width: 50%;
        }
    }
}


.workspace-add-dialog {
    > .modal-body {
        .input-group, h4 {
            margin-bottom: 0.3em;
        }
        & > .input-group > .input-group-addon {
            min-width: 5em;
        }
        & > div > .input-group > .input-group-addon {
            min-width: 7em;
        }
    }
    > .modal-footer > .pull-left > .label {
        font-size: inherit;
        padding: 4px 8px;
    }
}
